<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";

 //11. BIENES MUEBLES
function plantilla11($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('11_bienes_muebles', $where, 1);
    $codigo_11 = $query->row();

    //View tipos Declarante  11. Bienes Muebles
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_declarante.nombre as nombre');
    $CI->db->from('11_bienes_muebles');
    $CI->db->join('tipos_declarante', '11_bienes_muebles.titular_bien=tipos_declarante.idtipo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_declarante11 = $query->row();

    //View tipos Relacion  11.
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_relacion.nombre as nombre');
    $CI->db->from('11_bienes_muebles');
    $CI->db->join('tipos_relacion', '11_bienes_muebles.relacion_transmisor=tipos_relacion.idtipo_relacion');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_relacion11 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();
   
    // $pdf->setSourceFile('plantillas/BienesMuebles_11.pdf');
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(1);
    // $pdf->useTemplate($tplIdx, 0, 0);
    if ($codigo_11->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.5, 26.5, 4, 4);
    }

    //SIN CAMBIO
    if ($codigo_11->ninguno == '2' && $codigo->tipo_formato !=1) {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.7, 20.5, 4, 4);

    }

    if ($codigo->tipo_formato == 3) {

        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(26);
        $pdf->SetX(15);
        $pdf->MultiCell(140, 5, utf8_decode('(SITUACIÓN ACTUAL)'), 0, '', true); 
    }
    //FORMATO INICIAL
    // if ($codigo->tipo_formato == 1) {
    //     $pdf->SetY(20);
    //     $pdf->SetX(176);
    //     $pdf->MultiCell(27, 6, utf8_decode('  '), 0, 0, true);
    // }
    //AGREGO POR LO MENOS 1
    if ($codigo_11->ninguno == '0') {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(25);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # 1'), 0, 0, true);
    } 



    $pdf->SetFont('Arial', '', 8);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetY(66);
    $pdf->SetX(51);
    //$pdf->Cell(92, 4, utf8_decode($codigo_11->tipo_bien));
    if ($codigo_11->tipo_bien == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(92, 4, utf8_decode($codigo_11->tipo_bien_esp));
    } else {
        $pdf->Cell(92, 4, utf8_decode($codigo_11->tipo_bien));
    }
    $pdf->Ln(4.5);
    $pdf->SetX(51);
    if ($view_declarante11 != null) {
        $pdf->Cell(120, 4, utf8_decode($view_declarante11->nombre));
    }

    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(38, 4, utf8_decode($codigo_11->tercero));
    $pdf->Cell(101, 4, utf8_decode($codigo_11->nombre_tercero));
    $pdf->Cell(45, 4, utf8_decode($codigo_11->rfc_tercero));
    $pdf->Ln(11);
    $pdf->SetX(13);
    $pdf->Cell(115, 4, utf8_decode($codigo_11->descripcion_bien));
    $pdf->Cell(40, 4, utf8_decode($codigo_11->forma_adquisicion));
    $pdf->Cell(29, 4, utf8_decode($codigo_11->forma_pago));
    $pdf->Ln(9.5);
    $pdf->SetX(13);
    $pdf->Cell(38, 4, utf8_decode($codigo_11->transmisor));
    if ($codigo_11->relacion_transmisor == '20') {
        $pdf->Cell(146, 4, utf8_decode($codigo_11->relacion_transmisor_esp));
    } else {
        if ($view_relacion11 != null) {
            $pdf->Cell(146, 4, utf8_decode($view_relacion11->nombre));
        }
    }
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(139, 4, utf8_decode($codigo_11->nombre_transmisor));
    $pdf->Cell(45, 4, utf8_decode($codigo_11->rfc_transmisor));
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(62, 4, utf8_decode($codigo_11->valor_adquisicion));
    $pdf->Cell(61, 4, utf8_decode($codigo_11->tipo_moneda));
    $pdf->Cell(61, 4, utf8_decode($codigo_11->fecha_adquisicion));
    $pdf->Ln(5);
    $pdf->SetX(90);
    if ($codigo_11->motivo_baja == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(92, 4, utf8_decode($codigo_11->motivo_baja_esp));
    } else {
        $pdf->Cell(92, 4, utf8_decode($codigo_11->motivo_baja));
    }
    $pdf->SetY(137);
    $pdf->SetX(13);
    $pdf->MultiCell(184, 3.5, utf8_decode($codigo_11->aclaraciones));

}

